Subject: bug#24053: guix download file:// fails with a ~2 GB file on i686

From: Mark H Weaver <[email-masked]>
Date: Fri, 22 Jul 2016 13:19:28 -0400

On my i686 GuixSD machine, the following command consistently fails:

  mhw@jojen:~$ guix download file:///home/mhw/texlive-20160523b-texmf.tar.xz
  guix download: error: sendfile: Broken pipe

The file is 2071190200 bytes, which is about 73 MiB less than 2 GiB.
I have 2 GiB of RAM and 4 GiB of swap.

My guix client is v0.10.0-1899-g0f971a0.  My guix-daemon is 0.10.0.

     Mark